Bug 206650 - installation produces an error message when updating icon cache
installation produces an error message when updating icon cache
Product: Fedora
Classification: Fedora
Component: krusader (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Marcin Garski
Fedora Extras Quality Assurance
Depends On: 206860
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-09-15 10:36 EDT by Radek Bíba
Modified: 2009-01-09 10:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:58:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-09-15 10:36:25 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install krusader
Actual results:
Running Transaction
  Installing: krusader                     ######################### [1/1]
No theme index file in '/usr/share/icons/locolor'.
If you really want to create an icon cache here, use --ignore-theme-index.

Installed: krusader.i386 0:1.70.1-1.fc5

Expected results:
Silence is golden :)
Comment 1 Marcin Garski 2006-09-22 06:37:25 EDT
Thanks for noticing this. It's a "bigger" issue and first I have to resolve bug
Comment 2 Rex Dieter 2006-11-28 13:51:34 EST
The consensus is that this a mostly much ado about nothing.

If anything, krusader should 
1.  using the "hicolor" theme instead of crystalsvg
2.  the scriptlet(s) shouldn't care whether an index.theme exists or not, ie,
use something like:
%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/locolor 2>/dev/null || :

In the meantime, we're working on improving the iconcache scriptlets, see:
Comment 3 Bug Zapper 2008-04-03 23:44:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Radek Bíba 2008-04-07 13:55:25 EDT
Changing Fedora version to 8. I have the error message from comment 0 in my
Comment 5 Bug Zapper 2008-11-26 02:01:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-09 01:58:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Radek Bíba 2009-01-09 10:40:03 EST
This was apparently fixed silently at some point. Installation of krusader doesn't produce the error message anymore in F10.

Note You need to log in before you can comment on or make changes to this bug.